<?php

class Webservices extends Controller {

    public function mensajeria() {
        $this->loadModel('Mensajeria_model');

        $server = new SoapServer(null, // No utilizar WSDL 
                array('uri' => 'urn:webservices') // Se debe especificar el URI 
        );
        // Asignar la clase al servicio 
        $server->setClass('Mensajeria_model');

        // Atender los llamados al webservice 
        $server->handle();
    }

    public function dactilar() {

        $this->loadModel('Dactilar_model');

        $server = new SoapServer(null, // No utilizar WSDL 
                array('uri' => 'urn:webservices') // Se debe especificar el URI 
        );
        // Asignar la clase al servicio 
        $server->setClass('Dactilar_model');

        // Atender los llamados al webservice 
        $server->handle();
    }

    public function cobranzas() {

        $this->loadModel('Cobranzas_model');

        $server = new SoapServer(null, // No utilizar WSDL 
                array('uri' => 'urn:webservices') // Se debe especificar el URI 
        );
        // Asignar la clase al servicio 
        $server->setClass('Cobranzas_model');

        // Atender los llamados al webservice 
        $server->handle();
    }
    public function articulos() {

        $this->loadModel('Articulos_model');

        $server = new SoapServer(null, // No utilizar WSDL 
                array('uri' => 'urn:webservices') // Se debe especificar el URI 
        );
        // Asignar la clase al servicio 
        $server->setClass('Articulos_model');

        // Atender los llamados al webservice 
        $server->handle();
    }

    public function facturas_franquicias() {
        $this->loadModel('Facturas_franquicias_model');
        $server = new SoapServer(null, array('uri' => 'urn:webservices'));
        $server->setClass('Facturas_franquicias_model');

        $server->handle();
    }
    
    public function reporte() {
        $this->loadModel('reporte_model');
        $server = new SoapServer(null, // No utilizar WSDL 
                array('uri' => 'urn:webservices') // Se debe especificar el URI 
        );
        $server->setClass('Reporte_model');
        $server->handle();
    }
    
    public function idebo() {
        $this->loadModel('idebo_model');
        $server = new SoapServer(null, // No utilizar WSDL 
                array('uri' => 'urn:webservices') // Se debe especificar el URI 
        );
        $server->setClass('IDebo_model');
        $server->handle();
    }
    
    public function deboSync() {
        $this->loadModel('deboSync_model');
        $server = new SoapServer(null, // No utilizar WSDL 
                array('uri' => 'urn:webservices') // Se debe especificar el URI 
        );
        $server->setClass('deboSync_model');
        $server->handle();
    }
    
    public function notas_pedidos_v13() {
        $this->loadModel('notas_pedidos_v13_model');
        $server = new SoapServer(null, // No utilizar WSDL 
                array('uri' => 'urn:webservices') // Se debe especificar el URI 
        );
        $server->setClass('Notas_pedidos_v13_model');
        $server->handle();
    }

    public function operaciones(){
        $this->loadModel('operaciones_model');
        $server = new SoapServer(null,
                array('uri' => 'urn:webservices')
        );
        $server->setClass('operaciones_model');
        $server->handle();
    }

    public function facturacion(){
        $this->loadModel('Facturacion_model');
        $server = new SoapServer(null, array('uri' => 'urn:webservices'));
        $server->setClass('Facturacion_model');
        $server->handle();
    }
}
